Tech Articles

Linking error in EASY5 2015


Tech Articles ID    KB8022554
Status:    Published
Published date:    03/31/2016
Updated:    03/31/2016
Reported In:   Easy5 (2015 (9.1)) - EASY5
  Easy5 (2015.0.1) - EASY5
Environment:   x86-64 (AMD64 and EM_64T)
 

Abstract (Question)

I am using EASY5 2015 on Win64 and am getting the following linking error when I try to compile my model executable:

Microsoft (R) Incremental Linker Version 10.00.30319.01
Copyright (C) Microsoft Corporation.  All rights reserved.

test.obj test.datain.obj
C:\MSC.Software\Easy5_x64\2015_0_1\easy5x\lib_em64t_IFORT\ez5anl.obj
C:\MSC.Software\Easy5_x64\2015_0_1\easy5x\lib_em64t_IFORT\blkdan.obj
C:\MSC.Software\Easy5_x64\2015_0_1\easy5x\lib_em64t_IFORT\po_dummy.obj
C:\MSC.Software\Easy5_x64\2015_0_1\easy5x\lib_em64t_IFORT\ezanal.lib
C:\MSC.Software\Easy5_x64\2015_0_1\easy5x\lib_em64t_IFORT\liblapackx.lib
C:\MSC.Software\Easy5_x64\2015_0_1\easy5x\lib_em64t_IFORT\gp.lib
wsock32.lib libifcoremd.lib msvcrt.lib oldnames.lib /nodefaultlib:libcmt.lib /nodefaultlib:msvcrtd.lib
ezanal.lib(wnxsubs.obj) : error LNK2019: unresolved external symbol __report_rangecheckfailure referenced in function UNXDEL
ezanal.lib(subsys.obj) : error LNK2001: unresolved external symbol __report_rangecheckfailure
test.exe : fatal error LNK1120: 1 unresolved externals

 

Description (Answer)

The issue can be seen in the very first line of the error message:  Microsoft ... Linker Version 10.00.

EASY5 2015 was compiled with Linker Version 12 (which is in Visual Studio 2012). Therefore version 10 (which is in Visual Studio 2010) will not work.

The solution is that you need to be using Visual Studio 2012. Visual Studio 2010 will not work even though 2010 may be compatible with your particuar Fortran compiler.

Since Intel Fortran is a plug-in to Visual Studio, this also means that in order to upgrade versions of Visual Studio you will also have to reinstall Intel Fortran into that newer version of Visual Studio.

The following is a step by step procedure of how to upgrade Visual Studio:

1) Uninstall Intel Fortran
2) Install VS 2012
3) Install Intel Fortran being sure to tell it to use VS 2012. (You may need to tell Intel Fortran to do a custom install in order to get the option of which version of VS to have itself integrate into.)
4) You should not need to change, reconfigure, or reinstall EASY5. You should be able to leave it alone.